Auth-Sessions
Update AuthSession - Result
Get AuthSession update result.
GET
/
{workspaceId}
/
projects
/
{projectName}
/
auth-sessions
/
{authSessionId}
/
update
/
{operationId}
/
result
updateAuthSessionResult
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.authSessions.update.result(
"my-project",
"<id>",
"aaaabbbCCCCdddd",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.auth_sessions.update.result(
project_name="my-project",
auth_session_id="auth-session-123",
operation_id="aaaabbbCCCCdddd",
)
print(res)curl --request GET \
--url https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/auth-sessions/{authSessionId}/update/{operationId}/result \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/auth-sessions/{authSessionId}/update/{operationId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "done",
"authSessionId": "auth-session-123"
}Authorizations
API Key used to authenticate your requests. How to create one.
Path Parameters
Your workspace ID. How to find it?
The name you assigned when creating the Project.
Authentication session ID. You can obtain it from the AuthSessions tab in your project details.
The ID for the operation. This is obtained from the start request.
Response
200 - application/json
AuthSession update result
⌘I
updateAuthSessionResult
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.authSessions.update.result(
"my-project",
"<id>",
"aaaabbbCCCCdddd",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.auth_sessions.update.result(
project_name="my-project",
auth_session_id="auth-session-123",
operation_id="aaaabbbCCCCdddd",
)
print(res)